Quick Start

ecto Quick Start

This section is provided to explore the features of the main application window.

Initial Startup

When you first start ecto, a window displaying your registration options will appear. If you already have a registration number and would like to register the application, enter that information and click the 'Register' button. Click the 'Pay Online' button if you'd like to be taken to the page where you can order ecto online. Otherwise, click the 'Trial' button for a full-featured two-week trial of ecto.

If this is the first time you've started ecto, you'll be given a profile setup window so that you can enter your blogging service information. Enter a profile name and the username and password associated with your blogging service account and, if needed, edit the URL to your XML-RPC script. TypePad users can leave this field as it is. MovableType users should input the URL of their 'mt-xmlrpc.cgi' script which is often in the same folder as the 'mt.cgi' script. Compatibility with other blogging platforms, such WordPress and Drupal, is in development. If you connect to your blogging service through a proxy, enter the relevant information in the supplied fields. After you're done, hit the 'Apply' button and then the 'Save' button to exit the screen.

The main ecto window will show, listing your blogs on the left. Double click on a blog to list the last 10 posts (this number can be changed in the 'Settings' window). To create a new post, click on the new post icon in the menu bar or choose File->New Entry. To edit a post, double click on the post in the sidebar or right-click on the post in the sidebar and select 'Refresh Post.' From here, fill in the fields on the 'Basic,' 'Advanced' and 'Misc' tabs to your liking. A basic post contains an entry title, an entry body and some sort of category assignment (the checkboxes in the lower left of the ecto screen). After you've completed your post, click on the 'Post Entry' icon in the menu bar or choose 'File->Post Entry->As New' or 'As Edit.' You've completed the basic setup for ecto and posted your first post!

<= Back to the main page


ecto Main Window

This section is provided to give a quick overview of the features of ecto

The main window is divided into three areas, the profile and blogs window on the left, the post list on the top right and the quick post preview on the bottom right.

Profile and Blogs Window

This is where your blogging profile and its associated blogs is are displayed. Recent posts and drafts are displayed on the right hand side when a blog is selected here.

You can refresh the list of recent posts from the blog server through the context/right-click menu option "Refresh All Posts in Weblog". This can be useful if you've added a post through the blog system's web interface and now want to edit it in ecto.

The other option in the context/right-click menu, "Refresh Profile", allows you to refresh the list of blogs in your profile. For example, if you've just added a new blog to your system you will need to choose this option in order for ecto to retrieve the new blog.

Tips: if you only have one blog in your profile or if you want more space to see the post list and quick preview areas, you can hide the profile and blogs window by selecting from the menu option View->Show Weblogs. The selected blog name is displayed in the top of ecto's window so you will always know which blog you are looking at. Select it again when you wish to see the profile and blog window.

Post List

A list of the recent posts and drafts titles are shown in this area, along with their categories, creation time, and their status.

This content of this list can be filtered in two ways using the drop down lists just above the post list area in the toolbar.

The drop down on the left allows you to filter the post list by their status, Published or Draft. To return to the full post list, select the 'All' option.

The dropdown on the right allows search text to be used to filter the post list. For example if you want to see all posts that has the word "monday' in them, just typing the text 'monday' into the drop down list and hit the Enter keys will shows you all the relevant posts in the post list. ecto searches through all the stored posts title, main body, and if supported by the blogging system, extended body, summary, as well as keywords fields for matched. Five previous search text are saved for your convenient and they can be accessed easily through the down arrow in the drop down list.

To return to the full post list, delete all the text in the drop down list and hit 'Enter'.

Quick Preview

The Quick Preview window underneath the Post List provides a quick look of how the selected post will appear on the weblog. You can alter the look and feel of the quick preview window by changing HTML and CSS codes in the Preview Template inside the Options window.

The Tool Bar

Create a new entry in a new window by clicking on the "New Entry" button.

Go to your weblog by clicking on the "Weblog in Browser" button.

Refresh the post list of a webblog by selecting the weblog in the list and then clicking the blue 'Refresh' button on the very left of the menu bar or choosing 'Refresh' from the File menu.

Delete a post by choosing a post in the Post List and clicking on the red 'Delete' button.

Show the profiles by clicking on the "Show sidebar" button.

Filter posts by published status or category by selecting the option in the "View" dropdown list.

Search for post by entering the search text in the "Search" dropdown list.


Post Window

ecto Post Window

This section is provided to give a quick overview of the features of ecto

The post window is divided into three areas, the menu and tool bar at the top, the post options on the left and the post contents in the right half of the post window.

The Post Tool Bar

Save the current entry to server by clicking on the "Post Entry" button. The status of the post will be determined by the publishing option next to the button. Choose "Publish" if you wish the post to be published to your weblog immediately. Choose "Draft" if you wish to save the post in the weblog server but do not wish to publish the post yet.

Save the current entry as draft in ecto by clicking on the "Save as Draft" button.

Spellcheck the current entry by clicking on the "Spellcheck" button.

Display the Categories panel by clicking on the "Categories" button.

Display the Date/Time panel by clicking on the "Date/Time" button.

Preview the current post in the Preview window by clicking on the "Preview Entry" button.

Check your post in your weblog through your browser by clicking on the "View entry in Browser" button.

The Formatting Tool Bar

Make a word bold or italic by selecting a word in your post body or extended entry and clicking on the 'Bold' or 'Italic' button on either the 'Body' or 'Extended Body' text area.

Attach images or files to your entry by opening the Upload Files window through the "Upload Files..." button.

Create a link by clicking on the '<>' button and filling out the Link, Text, Title and Target fields. If text is selected when the link button is clicked, that text will already be filled in and linked when the process is complete.

Insert currently playing media in to the body or extended post by clicking on the 'Media' button in either the 'Basic' or 'Advanced' tab. Configure media insertion in the Settings window.

Use a custom HTML Tags by choosing the template from the 'HTML tags' dropdown menu. If text is selected, the tags will enclose the selected text.

The Profile and Weblogs Tool Bar

Choose which weblog to post your entry to by picking the profile from the 'Profiles' drop down list and then the 'Blogs' drop down list. The 'Profile' drop down list will not be available if there is only one profile setup in ecto. Similarly, the 'Blogs' drop down list will be unavailable if there is only one weblog in the selected profile.

Tip: To post the same entry to two (or more) weblogs without re-typing all the text, first create an entry and post it to the first weblog. Once that is completed by ecto, open this new post and pick a different weblog from the drop down list and post the entry again. ecto will now post the same entry to the second weblog as a new entry. Repeat this steps until you have posted the entry to all the weblogs you desired.

The Post Options panel

Post options

Set the ability to accept Comments for a post (if your weblog system supports Comments) by selecting from one of three options:

None

Open, or

Closed

Set the default text formatting of a post by selecting the option from the 'Default Text Formatting' drop down list. The default is set to 'None' since your weblog system may not support any text formatting filter. This will mean that you may have to enter HTML code manually for all the text in each post.

For example, MovableType and TypePad users will automatically has the option to use 'Convert Line Breaks' as the text formatting filter. This will automatically convert line breaks in the post content into HTML's paragraph code, thus saving you from manually inserting them.

Set the ability to accept Trackback for a post (if your weblog system supports Comments) by checking the 'Allow Trackback' checkbox.

Decide whether email notification should be sent for a post when it is posted to the server by checking 'Send Notification Email' checkbox.

Tip: The options above (Comments, Default Text Formatting, Allow Trackback, and Send Email Notification) can be remembered as the default options for all future post for this weblog by clicking on the 'Save as Default' button.

Changing post categories

Modify the categories for a post by opening a post to be edited and then clicking the 'Categories & Options' button. This opens the Post Options panel on the left with a list of categories for the selected weblog.

Click on the categories to set their 'on' or 'off' position. A primary category can be assigned via the "Make Primary" button. If no primary category is assinged, the first category in the list will become the primary category if that is an option set on your server.

Changing post tags

Modify the tags for a post by opening a post to be edited and then clicking the 'Categories & Options' button. This opens the Post Options panel on the left with a list of categories for the selected weblog. Select the "Tags" tab to display the list of tags created for the blog.

Click on the tags to set their 'on' or 'off' position. To add a new tag, click on the "+" button, while the "-" button will delete the currently selected tag from the list.

Changing post date/time

First displaying the Date/Time panel via the "Date/Time" button in the Post Tool Bar. Then modify the date in the 'Custom Publish Time' field. Some weblog services will not post your entry until it's publish date (if it's in the future).

Reset to the current time by clicking on the "Now" button, or to the post's original time by clicking on the "Reset" button.

The Post Contents (Body/Extended Body)

The Post Content area is where the text of an entry is entered. There are two tabs for text entrying, "Rich View" for WYSIWYG editing, and "HTML View" for editing raw HTML code. Each tab is divided into two text boxes, one for the main body of the post and the second one for the extended body of the post (if your weblog system supports extended post). For the majority of the users, the body text box is all you will need for creating and editing a post.

Tip: If you only use the body text box, you can 'hide' the extended body text box by clicking and hold down the mouse button on the divider between the two text boxes and drag the divider all the way to the bottom of the screen. This will 'hide' the extended body text box. If you need to use the extended body text box in the future, just position the mouse pointer near the bottom of the body text box until the cursor changes to a Up/Down arrow. Click and hold the mouse button and drag upward to reveal the extended body text box.

Remember to save your entry either as a draft or online after making any changes to the entry itself or the preferences that pertain to the entry. Not doing so may result in loss of data.


ecto Create Link

This section is provided to explain the feature of the Create Link window.

Create Link

Enter the URL for the hyperlink you want to create in the "Link" text box. If an URL is already in the Clipboard, ecto will automatically fill the text box with that URL.

Enter the text that the hyperlink will be used for in the "Text" text box. If you have selected some text in the Post Window ecto will fill the text box with the selected text.

The "Title" text box is used for the 'alt' attribute of a hyperlink. You can leave it blank or fill in with description of the hyperlink.

Select the type of window this link will create from the drop down list. Options include "New window", "Same window", "Same frame", and "Parent frame".


ecto Post Keywords and Except

This section is provided to explain the feature of the Keywords and Except window.

The Post Contents (Keywords/Except)

The Keywords and Except window can be accessed from the menu bar option Edit->Keywords/Excepts and has two text boxes which allow you to enter keywords for the post as well as a brief summary of the post content. For both text boxes, HTML code will not be used by the weblog system even if entered.


Post Properties

ecto Trackback Window

This section is provided to give a quick overview of the features of ecto

Tracbacks

Add TrackBack URLs (if your weblog system supports TrackBack) by inserting the each trackback URL on individual line in the TrackBack text box.


ecto Post Amazon Search

ecto Flickr Search

This section is provided to explain the feature of the Flickr Search window.

The Flickr Search

The Flickr Search window can be accessed from the menu bar option Insert->Photo from Flickr.

Search for photos

First enter the search keyword and then select the type of searching (Full text, or Tags Only) and the source (Everyone's Photos, Your Photos, or Choose from your contacts). If you choose to search only your photos or your contact's photos, you will be asked to authenticate and authorize ecto with Flickr first.

Click on the Search button will initiate the search on Flickr.

If there are more 20 photos in the search result, you can see the rest of the search results by clicking on the right arrow button on the left bottom side of the window.

Photo details

Extra details about a particular photo is displayed as tooltip when the mouse pointer hoovers over a photo.

View a photo in full

Double click on a photo will display it as full size in the Flickr View window.

Insert photo into post

To insert a specific photo from the search result, select the item and click on 'Insert Photo as...' button on the bottom right of the window. Two options are available to allow you to either insert the photo into your post as actual image or as a hyperlink back to the Flickr image. If you choose to insert the photo as an image, there are three different sizes you can choose from: Small, Medium, and Large. After you have picked the size, the Image Upload window will open to let you define how the image will be displayed in the post.

Logout of Flickr

If you no longer wish to have the ability to search your Flickr photos or your contact's photos, you can log out of Flickr by going to the 'Login' tab and click on the Logout button. Once that is done, you will need to authenticate and authorize ecto with Flickr again the next time you wish to search your or your contacts' photos.


ecto Post Amazon Search

This section is provided to explain the feature of the Amazon Search window.

The Amazon Search

The Amazon Search window can be accessed from the menu bar option Insert->Items from Amazon. You can choose to search in different product areas in Amazon (e.g. Apparel, DVD, ect.) as well as from different stores (e.g. US, UK, Japan, etc).

Search for product

First enter the search keyword and then select the product type and the store. Click on the Search button will initiate the search on Amazon.

If there are more ten items in the search result, you can see the rest of the search results by clicking on the right arrow button on the left bottom side of the window.

Load product details in web browser

By selecting an item in the search result, you can load up the product details from Amazon in your web browser by clicking on the icon in the toolbar.

Search for similar items

If you wish to search for similar product as the selected item, click on the second button in the toolbar.

Insert item into post

To insert a specific item from the search result, select the item and click on Create Link button on the bottom right of the window. Three options are available to allow you to insert different type of content into your post: Text Only, Text and Image, and Image Only.


ecto File/Image Upload

This section is provided to give a detailed view of uploading images and files in ecto.

ecto's file or image upload capability is a great way to add well-placed graphics on your blog. No need to know how to use html and you can even turn a large photo in to a size that fits perfectly on your blog. To access the upload window, click on the 'Upload Files...' toolbar button or "Insert->Files..." menu option in the Post Window.

Uploading an image

After first chosing a file through the Open File window. If the file selected is an image file, you'll see a window much like the one above. If you want to put the image file in a subfolder, enter that name in the 'Upload Destination' field.

If the file is not an image file, the hyperlink will be generated for the selected file and insert into the post automatically.

Image Tab

The 'Alignment' field controls how the image fits in the page. If you align an image to a certain spot, your text will become justified and flow around the image in your post. You can apply a border to your image as well as giving it vertical and/or horizontal margins. The last three options on this page are for different ways to label your image. These names won't show up unless the image doesn't load or unless you place your mouse over the image. As a side note, the 'alt' tag is required on images if you want to keep your blog XHTML compliant.

Presets

The settings in the Image tab as well as the Upload Destination can be saved as a Preset for use again later.

Upload image presets

After setting all the options for an image upload, select the 'Create Preset...' option and the 'New Preset' window will open for you to enter the new preset name. The new preset will be added to the list of presets in the 'Presets' dropdown list.

New image presets

To reset the image options back to factory defaults, just select the 'Default' option in the 'Presets' dropdown list.

Edit image presets

Selecting the 'Edit List...' option in the 'Presets' dropdown list brings up the 'Edit Upload Presets' window. In this window, you can rename and delete any presets you have previously created.


ecto Image Upload Thumbnail

ecto File/Image Upload

This section is provided to give a detailed view of uploading images and files in ecto.

Creating an thumbnail for uploading images

If the image to be uploaded is too large for your weblog page or you wish to include only a thumbnail on the web page, the Thumbnail Tab allows you to automatically generate a thumbnail image of the original image and upload to your weblog as part of the upload process.

Thumbnailing an image

If you'd like to change the size of your image, choose the 'Thumbnail' tab and select the 'Create Thumbnail?' option.

You can choose between specifying the thumbnail's size in pixel or percentage of the original.

The checkbox 'Maintain Proportion' will help keeping your images not to come out looking squished.

The 'File rename' option allows you to customize the name of the thumbnail. You can set how the thumbnail's file name be prefixed or suffixed.

You can choose the image format for the thumbnail image from the dropdown list. For PNG, an option for interlaced can be set. For JPEG, the image quality can be set.

The thumbnail hyperlink type can be selected from the 'Link to original' section. 'JavaScript' option will create a new pop-up window when the thumbnail is clicked, whereas the 'Plain' option will take the user to a new web page displaying the original image.

When you're ready, click the 'Upload' button and ecto will upload the file and create it's thumbnail if you specified that option. When the upload is completed, the Upload File window will close and the HTML code for your image(s) will be automatically transferred to your post.


ecto Image Upload Thumbnail

ecto File/Image Upload

This section is provided to give a detailed view of uploading images and files in ecto.

Converting original image

If the image to be uploaded is not what you wish to use, the Conversion Tab allows you to automatically convert the original image to different format and size.

Convert the original image

You can choose the image format for the thumbnail image from the dropdown list. For PNG, an option for interlaced can be set. For JPEG, the image quality can be set.

If you'd like to change the size of your image, choose the 'Resize?' option.

You can choose between specifying the thumbnail's size in pixel or percentage of the original.

The checkbox 'Maintain Proportion' will help keeping your images not to come out looking squished.

When you're ready, click the 'Upload' button and ecto will upload the file and create it's thumbnail if you specified that option. When the upload is completed, the Upload File window will close and the HTML code for your image(s) will be automatically transferred to your post.


ecto File/Image Upload Template

ecto File/Image Upload

This section is provided to give a detailed view of uploading images and files in ecto.

Modifying image upload templates

Upload Image Template

The Template tab allows you to customize the way ecto builds the URL for the uploaded images. The valid tags the ecto will recognize and use are shown beneath the template text box. ecto will substitutes the valid tags with corresponding data when the image file is uploaded to the weblog server.


Profile Manager

ecto Profile Manager

This section is provided to explain the features of the Profile Manager window.

Options > Profiles Manager

The Profile Manager window allows you to add, modify or remove profiles from the ecto application.

Create a new profile by clicking the 'New' button and Profile Wizard will appear to guide you through the creation of a new profile.

Modifying an existing profile by selecting a profile and entering a profile name, username, password, API Type as well as a URL to the XML-RPC of your blogging application. Please consult your weblog system documentation for the URL of the XML-RPC API module.

Delete an existing profile by clicking on a profile in the 'Select a Profile' window and then clicking the 'Delete' button.

If your blog is password protected, check the 'Password Protected Directory' option and fill in the username and password to let ecto gains access to your blog.

Use a proxy connection by clicking the button to the left of 'Use Proxy' and then filling in your proxy information.

You can choose to use either the proxy settings defined by the OS (i.e. from within Internet Explorer), or define your own settings.

Ask your system administrator if you know you use a proxy server but do not know these settings.

Remember to click on 'Apply' or 'Done' button. If you exit the window by clicking 'Cancel' after you've made changes, they won't be saved.


ecto Profile Wizard

This section is provided to explain the features of the Profile Wizard windows.

Options > Profiles Manager->Profile Wizard

The Profile Wizard guides you step-by-step through the creation of new profile for your weblog system.

Step 1 - Enter weblog address and Proxy Server details (optional)

Enter your weblog URL here so ecto can attempt to discover the type of weblog system you are using as well as the API URL.

If your blog is password protected, check the 'Use HTTP Authentication' option and fill in the username and password to let ecto gains access to your blog.

If you connect/login to your weblog system via a proxy server, select the "Use Proxy Server" option and enter the details there. Ask your system administrator if you don't have the information.

Step 2 - Contacting Server

ecto will then connect to your weblog over the internet and retrieves the relevant information. If your internet connect is down or your weblog is not responding, this step will fail after around 2 minutes and take you back to Step 1. You can click on the "Back" button to go back to Step 1 if you decide not to wait.

Step 3 - Picking weblog system type, API type, and Access Point URL

If you weblog system supports RSD (Really Simple Discovery) and your weblog templates contain the relevant RSD information, the Profile Wizard will present you with all the necessary information here. (Please consult your weblog documentation with regards to RSD support)

In most cases, it will not be necessary to change any of these information and you can skip to the next screen by clicking on "Next".

If ecto does not find any RSD information, it will select "Other" weblog system and "MovableType" API. The Access Point URL will be left blank for you to fill out. Please consult your weblog system documentation for XML-RPC/Atom support and Access Point URL.

When you select a weblog system in this screen and the Access Point text box is empty, ecto will suggest the likely API option and example of Access Point URL for that weblog system.

Step 4 - Enter weblog user name and password

Enter the user name and password you used to access your weblog system over the internet here.

Step 5 - Give this profile a name

Give this profile a name (e.g. Personal Blog, Geek blog). It can be any name you want.

Step 6 - Finished!

That is all for creating a new profile. Click on "Finish" to complete the process and ecto will take you back to the Profile Manager.


ecto Options

This section is provided to explain the features of the Options window.

Options window

The Options window let you control how ecto behaves for each of your weblogs. You can pick the weblog to modify from the drop down list on the top left of the window.

If you make a mistake and want to reset all the options back to factory default setting, click on the "Reset Options" button.


Misc. Options

ecto Options

This section is provided to explain the features of the Blog Options window.

Blog Options > Misc

The Misc page allows you to change certain values that modify the behavior of some actions in ecto.

Modify the number of recent entries to show by choosing a number next to the box of the same name.

Load recent blog posts on startup rather than having to do it yourself by using the 'Auto-Refresh' button.

Automatically check for update to ecto rather than having to do it yourself by using Help->Check for Update menu option.

Delete a draft after posting rather than keeping all drafts by clicking the button with the same name.

Save draft automatically while you are composing your draft and the frequency.

Use the current date time for new post, or use the Date Time picker in the Post window to set custom time.

Prevent posting without a category, a summary or keywords by clicking one or more of the 'Post Prevention' boxes.

<= Back to the main page

k to the main page

cto.


Misc. Options

ecto Options

This section is provided to explain the features of the Blog Options window.

Blog Options > Fonts

The Fonts page allows you to change the fonts that you will use to compose post.

Select the default editing mode.

Rich Text allows a word processor like editing, displaying the formatting and pictures on screen without ever needing to enter HTML.

HTML mode allows you to directly enter HTML code for your post, giving you greater control of how your post appear.

Change the display font for each editing mode for composing or editing entries in ecto by using the 'Select' button at the bottom. This will not change the font on your blog, only the display font within ecto.

<= Back to the main page

p>

<= Back to the main page

Prevention' boxes.

Change the display font for authoring or editing entries in ecto by using the 'Select' button at the bottom. This will not change the font on your blog, only the display font within ecto.

<= Back to the main page

p>


Pings

ecto Options

This section is provided to explain the features of the Blog Options window.

Blog Options > Pings

The Pings page allows you to enter the ping URLs that ecto will use for every new post.

Enter each ping URL in separate line in the text box. Three default URLs have already been provided to get you started.

<= Back to the main page

urself by using the 'Auto-Refresh' button.

Automatically check for update to ecto rather than having to do it yourself by using Help->Check for Update menu option.

Delete a draft after posting rather than keeping all drafts by clicking the button with the same name.

Save draft automatically while you are composing your draft.

Prevent posting without a category, a summary or keywords by clicking one or more of the 'Post Prevention' boxes.

Change the display font for authoring or editing entries in ecto by using the 'Select' button at the bottom. This will not change the font on your blog, only the display font within ecto.


Email Notification Options

ecto Options

This section is provided to explain the email notification feature of the Options window.

Post Options > Email Notification

The Email Notification options allow you to set up a list of email addresses that will be notified by an email whenever a new post is made to the server.

Address List

Name - This is the name of the person which the email address will be to.

Address - The email address that the notification will send to.

Server and Template

SMTP Server - Enter your ISP's SMTP server address here (e.g. smtp.yourisp.com).

Port - Enter your ISP's SMTP port number here. The default port of 25 should work in most instances.

Username - Enter the SMTP user name here. This is usually also your username for logging into your ISP.

Password - Enter the SMTP password here. This is usually also your password for logging into your ISP.

Subject - The subject line of the notification email. You can enter any text here as well as any valid tags shown near the bottom of the page.

Body - The body of the notification email. You can enter any text here as well as any valid tags shown near the bottom of the page.

<= Back to the main page

href="ectoHelp.htm"><= Back to the main page


Preview Options

ecto Options

This section is provided to explain the features of the Post Options window.

Post Options > Preview

You can use the preview feature to get a more accurate view of what your post will look like on your blog before you post it.

Make the Post Preview automatically updates while you compose your draft by selecting "Automatically update preview when text changes".

Preview posts in your post template before you post them by adding the code from your site to the preview field. Use tags such as <$URL$> to specify the base URL of your site, <$TITLE$> to display the title of your entry, <$BODY$> to display the entry body of your post and <$EXTBODY$> to display the extended entry of your post.

<= Back to the main page

= Back to the main page


HTML tags Options

ecto Options

This section is provided to explain the HTML tags features of the Post Options window.

Post Options > HTML Tags

HTML Templates allow you to create easy-to-add templates for your favorite text styles. 3 basic styles and a 'Posted with ecto' tag are available by default.

Create a new template by clicking on 'New' and then filling in the name, start and end tag for your template.

Delete a template by clicking on the template in the 'Templates' list and clicking the 'Delete' button.

Assign a keyboard shortcut for each of your favorite HTML tag by selecting the keys combination.

Remember to click the 'Apply' button before you leave the Settings window. Not doing so will cause you to loose the information you have just changed.


Media Insert Options

ecto Options

This section is provided to explain the features of the Post Options window.

Post Options > Media Template

The Media Template allows you to use certain plugins for iTunes, WinAmp and Windows Media Player to display the current playing track in a post.

Customize the way a song is inserted in to a post by modifying the Template. Use the tags <$ARTIST$> to display the current artist, <$SONG$> for the current song title, <$ALBUM$> for the current album name and <$TIME$> for the total length of the song.

Automatically add this to new posts by clicking the 'Insert into new post automatically' button.

<= Back to the main page

ck to the main page


Spellcheck Options

ecto Options

This section is provided to explain the features of the Post Options window.

Post Options > Spellcheck

Pick the type of spell checking by selecting spell check mode.

Never - no spell check is performed.

When I click send - spell check when you send a post to the server.

As I Type - spell check as you type each word.

Ignore different type of text in your post during spell checking by selecting one of these "Ignore" options.

Change the number of suggestion the spell checker will present by entering the desired number.

Choose the dictionary for you language from the list. Extra dictionaries can be found from OpenOffice.org.


HTML tags Options

ecto Options

This section is provided to explain the Tags features of the Post Options window.

Post Options > Tags

Tags allow you to insert any tags and their corresponding hyperlinks to your draft automatically. The default settings is for Technorati tags but the template is very flexible and can be easily setup for other tag systems.

Start marker: This denote the beginning of the tag section in your draft. This is required by ecto to insert/extract the final tags code in your draft/post.

Tag template: Customise the HTML code for your tag system.

End marker: This denote the beginning of the tag section in your draft. This is required by ecto to insert/extract the final tags code in your draft.

Tag separator: The character that separate each tag. The default is a comma follows by a space character.

Put tags in: This option tells ecto where to insert/extract the tags code in your draft/post.

Tag URL: The URL in which the tags will be linked to. Consult the tag system documentation for the actual URL.

Remember to click the 'Apply' button before you leave the Settings window. Not doing so will cause you to loose the information you have just changed.


HTML tags Options

ecto Options

This section is provided to explain the Amazon Search Template features of the Post Options window.

Post Options > Amazon Template

Amazon Search Templates allow you to setup your Amazon Associate ID and other settings for the use of the Amazon Search feature.

Setup your Amazon Associate ID by entering your ID in the text box.

Set the image size when inserting item into post by selecting from the list of image sizes: small, medium, and large.

Edit the template for each type of result insertion.

Remember to click the 'Apply' button before you leave the Settings window. Not doing so will cause you to loose the information you have just changed.

<= Back to the main page

k to the main page


ecto Application Options

This section is provided to explain the features of the Application Options window.

Options window

The Options window let you control ecto's overall behavior.

Select Check for update on startup to see if there is a newer version of ecto available for download during application startup.

Pick how ecto appears at the System Tray of your Taskbar.

When minimized - ecto will appear in the the System Tray when minimized.

Always - ecto will always appear in the System Tray.

Never - ecto will never appear in the System Tray.

Double click on the ecto icon in the System Tray will bring ecto back to the foreground.

Right click on the ecto icon in the System Tray will allow you to create new post for a particular blog.

If you make a mistake and want to reset all the options back to factory default setting, click on the "Reset Options" button.


ecto Post Templates

This section is provided to give a detailed view of post templates in ecto.

One of the more interesting features in ecto that most people are unaware of it post templating. Post templating is a feature that's useful when you often make a post with the same style or general layout and would like to skip the process of laying out the post every time you want it to look a certain way.

In this example, we'll pretend I create regular posts for movie reviews and they all contain certain elements. The first is a title in a specific form and then a specific-sized image from the movie and then a tag that makes the rest of the text red and underlined. It might look something like this:

Post Title: Movie Review: *movietitle*

Post Body: <img src="" style="width: 200px; height: 75px;" align="left" alt="">
<span style="font: normal 12px Verdana; color: red; text-decoration: underline;">

Load a Template Now that we have our template set up, we can save it by 'Save As Template' which is under 'Post Templates' in the File menu. Your template is now saved and can be identified by it's label in the 'Post Templates' dropdown menu in the 'Basic' tab of the main window (shown) or under 'Load Template' in the 'Post Template' section of the File menu. Loading a template will replace all text you have in the Entry Title and Entry Body boxes and is not undoable! Watch out so that you don't accidentally erase a post you were working on.


FAQ

ecto FAQ

This section is provided to address Frequently Asked Questions

Minimum Requirements

Microsoft .Net Framework 1.1 SP1

I already have a license for the Mac version. Do I have to purchase another license for the Windows version?

A separate license is required for the Windows version. Existing Mac license will not work on the Windows version.

Is the .Net Framework really necessary?

Yes. ecto for Windows is developed completely in Visual Studio .Net 2003 using C#. This allow me to develop new features and debug issues rapidly.

What about Atom API support?

ecto fully supports Blogger's implementation of the Atom interface, and basic support for TypePad's implementation. File upload is not supported yet for TypePad.

What about TypePad's TypeList and Photo Album support via Atom API?

Both features will available in upcoming releases.

ecto does not preview my entry correctly, or nothing at all is displayed.

ecto uses the MovableType/TypePad default Individual Entry template and the default styles-site.css file on your weblog/TypePad server. If you have a different Individual Entry template or CSS file, you need to apply the changes to ecto's preview template as well. If preview is still incorrect, try to start with a basic template:

<html><body>
<p><$BODY$></p>
</body></html>

If nothing at all is displayed in the Preview window, ensure that a post or draft is loaded in the main window first. This can be done by double clicking on a post or draft item in the window on the left hand side.

Where can I download more dictionary and how do I install it?

To obtain more dictionaries, visit NetSpell web site and download NetSpell. Once it is installed, more dictionaries can be found in the 'dic' directory inside NetSpell installed directory (e.g. C:\Program Files\NetSpell\dic\). If NetSpell does not include dictionary in the language require, OpenOffice dictionaries can be converted into NetSpell format using the included dictionary build tool, NetSpell.DictionaryBuild.exe, in the 'bin' directory.

After creating a NetSpell dictionary, copy it to the 'Dictionary' directory inside ecto's installed directory (e.g. C:\Program Files\ecto\Dictionary\). The next time ecto starts up the new dictionary will be available in the Spellcheck section of the Options screen. Pick the new dictionary as the default dictionary and the spellchecker will use that for all spell checking.

I've found a bug! What do I do?

You can set up email the bug details to ecto@mineblogging.com or post on the bug forum

Where can I find information on new versions of ecto?

The ecto blog is updated as often as possible with new features that are implemented or planning to be as well as links to updates for ecto.


ecto Register

This section is provided to explain the feature of the Register window.

Register

During your two weeks trial period, this window will appear whenever you send a post to your weblog. Click on "Trial" button if you want to continue evaluate ecto.

If you want to register your copy of ecto, click on the "Pay Online" button. ecto will take you to the Kula Store where you can purchase a license.

After completing the purchase, an email will be sent to you with your license information. Enter the name and serial number in the email in this window and click on "Register" to register your copy of ecto.


ecto Check for Update

This section is provided to explain the feature of the Check for Update window.

Check for Update

You can check for update of ecto by using File->Help->Check for Update menu option. ecto will check online whether there is an update available for download and shows this window if there is.

Tip: You can set ecto to automatically check for update every time it starts up in the Options->Misc. window.

Click on the "Download" button to download the latest version of ecto.

If you do not wish to update at that time, click on the "Later" button to continue using ecto.


ecto Help

Navigation:

  • Quick Start Guide
  • Settings
  • General Use
  • File/Image Upload
  • Post Templates
  • FAQ

This help text is provided to allow a general overview of ecto's features as well as an in-depth look at some of the more powerful functions contained within ecto. If, after reading this text, you are still unsure of how to use ecto or a specific feature in ecto, you can check the support forum located at http://kung-foo.tv/ectobb2/. Please note that this forum is for WINDOWS ecto support only. If you need support relating to the Mac version of ecto, you can find the support forum here: http://kung-foo.tv/ectobb/

The ecto development weblog is located at this address: http://ecto.mineblogging.com/ - Application updates, a link to buy ecto and other related information can be found there.

copyright © 2004 - Yik Fai Hung & Kula Co, Ltd.


General Use

ecto General Use

This section is provided to give a quick overview of the features of ecto

The Menu bar

Choose a profile by selecting it in the dropdown menu on the left of the menu bar. If the dropdown menu is greyed out, this means you have only one profile.

Refresh a post or blog by selecting the post or blog in the list and then clicking the blue 'Refresh' button on the very left of the menu bar or choosing 'Refresh' from the File menu.

Perform entry actions like creating a new entry, saving an entry as a draft, previewing an entry or posting an entry by using the four entry action buttons on the menu bar. If you're unsure what one of these buttons does, hold your mouse pointer over it for a moment and a tooltip should appear, informing you about the function of the button.

Perform Entry Actions

Delete a post by choosing it in the 'Blogs and Posts' list and clicking on the red 'Delete' button.

Delete, Upload and Settings buttons

Upload a file by selecting the 'Upload File' button on the right side of the menu bar or by choosing 'Upload Files...' from the File menu. See the uploading page for more information.

Open the settings window by clicking on the 'Settings' button on the absolute right of the menu bar or choosing 'Settings...' from the Edit menu.

Your Blogs and Posts

Look at recent posts from a blog by double-clicking on a blog in the 'Blogs and Posts' list.

Edit an Entry

View or Edit an old post by double-clicking on a post once you have a blog refreshed.

Delete a post by right-clicking on the post in the 'Blogs and Posts' list and choosing 'Delete Post.'

Categories

Modify the categories for a post by opening a post to be edited and then clicking the buttons next to the categories to their 'on' or 'off' position. The first category in the list will become the primary category if that is an option set on your server.

List the Categories

Refresh the list of categories by clicking on the 'Refresh' button below the categories list.

The Entry Tabs (Basic, Advanced, Misc)

Change or add an entry title by filling in the 'Entry Title' field on the 'Basic' tab.

Change or add an entry body by filling in the 'Entry Body' field on the 'Basic' tab.

Change or add an entry excerpt by filling in the 'Excerpt' field in the 'Advanced' tab.

Insert currently playing media in to the body or extended post by clicking on the 'Media' button in either the 'Basic' or 'Advanced' tab. Configure media insertion in the Settings window.

Insert various items into your posts

Make a word bold or italic by selecting a word in your post body or extended entry and clicking on the 'Bold' or 'Italic' button on either the 'Basic' or 'Advanced' tab.

Create a link by clicking on the '<>' button and filling out the Link, Text, Title and Target fields. If text is selected when the link button is clicked, that text will already be filled in and linked when the process is complete.

Use a custom HTML Template by choosing the template from the 'HTML Templates' dropdown menu. If text is selected, the template will enclose the selected text.

Create and use HTML Templates

Add keywords to your post by adding words to the 'Keywords' field in the 'Misc' tab.

Trackback to another post by adding it's trackback ping URL to the 'Send Trackback' field in the 'Misc' tab. Place one URL on each line.

Ping an update service by adding it's ping URL to the 'Ping URL' field. Place one URL on each line.

Change the time of your entry by modifying the date in the 'Custom Publish Time' field. Some weblog services will not post your entry until it's publish date (if it's in the future). Set this field to the current time by clicking on the 'Reset' button.

Change the time of your entry

Modify comment settings by choosing different values for the 'Comments' dropdown menu. 'Open' comments can be commented on. 'Closed' comments can be seen but not added to. 'None' prevents comments from being displayed or added to.

Modify text formatting by choosing a text format from the 'Default Text Formatting' dropdown menu.

Modify trackback settings by checking or unchecking 'Allow Trackbacks.'

Remember to save your entry either as a draft or online after making any changes to the entry itself or the preferences that pertain to the entry. Not doing so may result in loss of data.